<?php

  // Funkce pro třídění
  function sortf($a,$b)
  {
    $a=preg_split("/\s+/",$a,4);
    $b=preg_split("/\s+/",$b,4);
    return strcmp($b[3],$a[3]);
  }
  
  function GetDNS($Domain)
  {
    // Vytáhni informace z DNS programem "host"
    if(isset($x)) unset($x);
    @Exec("host -a -l $Domain ns.forpsi.cz",$x);
    //echo implode("\n",$x);
    
    // Ukousni začátek až po sekci odpovědi
    reset($x);
    while($y=each($x))
    {
      if(preg_match('#;; ANSWER SECTION:#mi',$y[\VALUE])) break;
    }
    $x=array_slice($x,$y[\KEY]+1);
    
    // Vyhoď prázdné řádky a komentáře
    reset($x);
    while($y=each($x))  
    {
      if(preg_match('#^$#mi',$y[\VALUE])) 
        unset($x[$y[\KEY]]);
      if(preg_match('#^;.*$#mi',$y[\VALUE])) 
        unset($x[$y[\KEY]]);
      if(preg_match('#^Received .*$#mi',$y[\VALUE])) 
        unset($x[$y[\KEY]]);
    }
  
    // Setřiď podle abecedy
    usort($x,"sortf");
  
    // Výsledek  
    $x=implode("\n",$x);
    if ($x=="") $x="No Data\n";

    return $x;
  }
?>

<h1> DNS Records for MLAB </h1>
<pre>
<?php
  echo GetDNS('mlab.cz.');
?>
</pre>

<h1> DNS Records for UST </h1>
<pre>
<?php
  echo GetDNS('ust.cz.');
?>
</pre>
